package com.nisum.webfluxmongodbordermanagement.entity;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
@Document(collection = "orders")
public class Order {
    @Id
    private String _id;

    private String orderId;

    private String userId;


    private String transactionId;


    private String trackingId;

    private String status;
}
