package com.nisum.webfluxmongodbordermanagement.controller;

import com.nisum.webfluxmongodbordermanagement.entity.User;
import com.nisum.webfluxmongodbordermanagement.entity.UserOrders;
import com.nisum.webfluxmongodbordermanagement.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

import java.util.List;

@RestController
public class UserController {

    @Autowired
    UserService userService;

    @GetMapping("/users")
    public Flux<User> getUsers() {
        return userService.getUsers();
    }
}






//
//@PostMapping("/userDetails")
//    public Mono<User> saveUser(@RequestBody User user){
//          return   userService.addUser(user);
//    }

//    @GetMapping("/{userId}")
//    public Mono<ResponseEntity<User>> getUserWithOrders(@PathVariable String userId) {
//        return userService.getUserWithOrders(userId)
//                .map(user -> ResponseEntity.ok(user))
//                .defaultIfEmpty(ResponseEntity.notFound().build());
//    }